import { __name } from '../chunk-3IXKS7M5.mjs';
import { Listener } from '@sapphire/framework';
import { SubcommandPluginEvents } from '../lib/types/Events.mjs';

var _PluginListener = class _PluginListener extends Listener {
  constructor(context) {
    super(context, { event: SubcommandPluginEvents.ChatInputSubcommandError });
  }
  run(error, context) {
    const { name, location } = context.command;
    this.container.logger.error(`Encountered error on chat input subcommand "${name}" at path "${location.full}"`, error);
  }
};
__name(_PluginListener, "PluginListener");
var PluginListener = _PluginListener;

export { PluginListener };
//# sourceMappingURL=PluginChatInputSubcommandError.mjs.map
//# sourceMappingURL=PluginChatInputSubcommandError.mjs.map